define("confluence-collaborative-editor-plugin/synchrony-editor",["window","jquery","ajs","confluence/legacy","confluence-collaborative-editor-plugin/editor-blanket","confluence-collaborative-editor-plugin/synchrony-util","confluence-collaborative-editor-plugin/synchrony-content","confluence-collaborative-editor-plugin/synchrony-auth","confluence-collaborative-editor-plugin/synchrony-entity","confluence-collaborative-editor-plugin/synchrony-handlers","confluence-editor/support/atlassian-editor-support","confluence-editor/loader/collaborative-helper",],function(C,A,t,g,l,d,h,i,y,u,c,z){var E={};d.time("confluence.editor.synchrony.jsLoad");var I=10*60*1000;var s=30*1000;var r;var F=false;var q=false;var k=false;var m;A(C).bind("beforeunload",function(){if(!q){t.trigger("analyticsEvent",{name:"confluence.synchrony.exit.before.connecting",data:{afterTimeout:k,contentId:g.getContentId()}})}});function x(L){A('meta[name="ajs-collaborative-editor-status"]').attr("content",L)}function w(){return !t.Rte.isQuickEdit}function o(){var L=A.Deferred();t.$(function(){t.$("body").addClass("synchrony-active");var M=require("confluence-collaborative-editor-plugin/status-indicator-view");r=new M({el:"#pluggable-status",model:new Backbone.Model({minActiveTime:500})});i.init(r);L.resolve()});return L}function H(L){var N,M;switch(L){case"timeout":N=t.I18n.getText("editor.collaborative-editing.websocket.fail.title");M=t.I18n.getText("editor.collaborative-editing.websocket.fail.body");break;case"synchrony-requests":F=true;N="";M=t.I18n.getText("editor.collaborative-editing.synchrony-requests.fail");break;case"limited-mode":F=true;N="";M=t.I18n.getText("editor.collaborative-editing.refresh-editor.error");break;default:F=true;N="";M=t.I18n.getText("editor.collaborative-editing.load.error");break}t.trigger("editor.error.message",{title:N,messageKey:"collaborative-editor-load-failure",message:M,disablePublish:true,close:"manual"})}function v(){t.trigger("dismiss.editor.error.message",{messageKey:"collaborative-editor-load-failure",enablePublish:true})}function j(N,L){var M=A.Deferred();N.done(function(){d.timeEnd(L)},M.resolve);N.fail(M.resolve);return M.promise()}function G(L,M){var O=((M[1]==="error"&&M[0].responseText)?JSON.parse(M[0].responseText):"");var N=false;if(O.type==="invalid-ancestor"){N="synchrony"}else{if(O.type==="out-of-order-revision"){N="confluence"}}if(N){t.log("Performing synchrony recovery");A.ajax({url:t.contextPath()+"/rest/synchrony/1.0/content/"+g.getContentId()+"/recovery?behind="+N+"&conflictingRev="+O["conflicting-rev"],type:"PUT"});return"synchrony-requests"}if((M[1]!=="success"&&L[1]!=="success")||(M[1]!=="success"&&O.type!=="duplicate-mismatch")){t.trigger("analyticsEvent",{name:"confluence.synchrony.client.content.reconciliation.failure",data:{type:O.type,contentId:g.getContentId()}});return"synchrony-requests"}return false}E._bindEditor=function(S,O,V,L,N){d.time("confluence.editor.synchrony.init");var U=G(V,L);if(U){return null}var T=A("#syncRev");var R=null;if(V[1]==="success"){var Q=V[0];R={base:{rev:Synchrony.rev(Q.stateAt),state:Q.state}};T.val(R.base.rev.toString())}t.log("Synchrony will load with contentId: ",g.getContentId());try{var M=O.getBody();M.setAttribute("data-title",S.title);m=y.bind(Synchrony,O,M,R,S);u.handle(m,O,r,N);t.trigger("editor.remote.change");O.setDirty(false);d.timeEnd("confluence.editor.synchrony.init");return m}catch(P){t.logError(P);return null}};function K(M){function L(N){d.time("confluence.editor.synchrony.snapshot");return j(A.ajax({type:"POST",url:encodeURI(d.getServiceUrl()+"/data"+d.getEntityId()+"?state-at=@head&state-format=type-tagged&rewrite-request=true&cached="+M),contentType:"text/plain",dataType:"json",data:JSON.stringify({headers:{"content-type":"application/json","x-token":N},method:"GET"})}).pipe(d.asArray,d.asArray),"confluence.editor.synchrony.snapshot")}return i.performRequest(L)}function e(L){function M(N){d.time("confluence.editor.synchrony.CR");return j(A.ajax({type:"POST",url:encodeURI(d.getServiceUrl()+"/data"+d.getEntityId()+"?optimistic=true&rewrite-request=true"),dataType:"json",contentType:"text/plain",data:JSON.stringify({body:{ancestor:L.syncRev,rev:L.confRev,state:{format:"html",value:L.html},merges:{master:{meta:{type:"client-reconciliation"}}}},headers:{"content-type":"application/json","x-token":N},method:"PUT"})}).pipe(d.asArray,d.asArray),"confluence.editor.synchrony.CR")}if(!L.syncRev&&h.isUnpublished()&&(L.raw.length===0||/^\s+$/.test(L.raw))){return A.Deferred().resolve([{},"success"])}else{if(h.isContentEmpty(L.raw)){t.trigger("analyticsEvent",{name:"confluence.synchrony.client.content.reconciliation.blank-content",data:{contentId:g.getContentId()}});return A.Deferred().resolve([{},"success"])}}return i.performRequest(M)}function B(L){d.time("confluence.editor.synchrony");A.when(Date.now(),L).pipe(function(N){x("on");var M=Date.now();t.trigger("analyticsEvent",{name:"confluence.synchrony.editor.loaded",data:{durationMillis:(M-N),contentId:g.getContentId()}});t.trigger("rte-collab-ready");d.timeEnd("confluence.editor.synchrony");d.timeEnd("confluence.editor")})}function n(){var L=J("synchrony.connected synchrony.connected.fake");var M=J("synchrony.connected synchrony.connected.fake synchrony-unsupported-extension",s);M.fail(function(N){H(N);t.trigger("analyticsEvent",{name:"confluence.synchrony.editor.load.timeout",data:{contentId:g.getContentId()}});a();k=true;L.done(function(){if(!F){q=true;v()}})})}E._initialiseCollabEditingComponents=function(L){var M=o();A(C).one("synchrony.connected.fake",function(N){if(N.namespace==="connected.fake"){M.resolve();L.resolve();v();x("fake")}});return M};E._initialiseSynchrony=function(){d.time("confluence.editor.synchrony.deps");(function(M){var N=M.Synchrony=M.Synchrony||{};if(!N.ready){var O=N._cbs=N._cbs||[];N.ready=function(R){O.push(R)}}var Q=function(){1===N.state&&(N.SockJS=M.SockJS,N.init())};if(M.SockJS){N.init&&Q()}else{var P=M._sockjs_onload;M._sockjs_onload=function(){Q();P&&P.apply(this,arguments)}}})(C);var L=A.Deferred();Synchrony.ready(L.resolve);return A.when(L.promise(),d.loadScript(["/js/vendor/sockjs.min.js","/js/synchrony.min.js"])).pipe(function(M){d.timeEnd("confluence.editor.synchrony.deps");t.log("Synchrony successfully initialised.");return M})};function D(U,N,R){var O=E._initialiseSynchrony();var L=J("synchrony.connected.fake");var M=J(null);N.pipe(function(){setTimeout(M.reject,s,"synchrony-requests")});var T=E._initialiseCollabEditingComponents(M);var S=Date.now();var Q=null;var P=null;if(!t.DarkFeatures.isEnabled("synchrony-pessimistic-snapshot")){Q=O.pipe(function(){return K(true)});Q.done(function(W){P=W[1]})}var V=A.when(U,O).pipe(function(){if(!Q||Q.state()==="rejected"||P==="error"||(I<Date.now()-S)){return K(false)}return Q});R.pipe(function(){n();B(L);l.applyBlanket(L)});N.pipe(function(W){var X=O.pipe(function(){return e(W)});V=A.when(V,O).pipe(function(Z,aa){d.time("confluence.editor.synchrony.unmarshal");var Y=Z;if(Z[1]==="success"){Y=[{stateAt:Z[0].stateAt,state:aa.unmarshal(Z[0].state.value)},Z[1]]}d.timeEnd("confluence.editor.synchrony.unmarshal");return Y});A.when(V,X).pipe(function(Y,aa){var Z=G(Y,aa);if(Z){M.reject(Z)}else{M.resolve()}});if(!t.DarkFeatures.isEnabled("synchrony-pessimistic-CR")&&(W.syncRevSource==="synchrony-ack"||h.isUnpublished())){t.debug("confluence.editor.synchrony: content up to date, not waiting for CR");M.fail(H);return A.when(W,R,V,[{},"success"],T)}return A.when(W,R,V,X,T)}).pipe(function(aa,Z,X,Y){var W=E._bindEditor(aa,Z,X,Y,M);if(!W){t.trigger("analyticsEvent",{name:"confluence.synchrony.bind.failure",data:{contentId:g.getContentId()}});return A.Deferred().reject("editor-binding-failed")}L.resolve()}).fail(function(W){R.always(function(){if(W!=="synchrony-not-enabled"){t.log("Failed to load the collaborative editor",W);H(W);t.$(function(){r.onDisconnectedState()});x("failed");t.trigger("analyticsEvent",{name:"confluence.synchrony.error",data:{error:W,contentId:g.getContentId()}})}})})}E.init=function(){if(c.isCollaborativeContentType()){var L=b("rte-quick-edit-init rte-collaborative-content-ready rte-initial-raw-content-ready",true);var N=b("rte-quick-edit-init rte-collaborative-content-ready rte-initial-raw-content-ready rte-collab-editor-loaded",false);var O=b("rte-collaborative-content-ready rte-initial-raw-content-ready",false,h.getContent);var M=b("rte-collab-editor-loaded",false,t.Rte.getEditor);M=b("rte-ready rte-begin-collab-editing",false,t.Rte.getEditor,w,M);L.pipe(function(){D(N.promise(),O.promise(),M.promise())});O.fail(H);t.trigger("synchrony-events-bound");M.fail(function(P){if(P==="synchrony-not-enabled"){f();t.log("Synchrony is not available in this context.")}})}};E.register=function(){z.registerPlugin(E)};E.getSynchronisedEditorContent=function(){var N=m.ackState();if(N.rev){var M=Synchrony.makeDom(N.state,{document:document,whitelist:y.makeWhitelist(Synchrony)});var L=require("tinymce");return{content:L.activeEditor.serializer.serialize(M),syncRev:N.rev.toString()}}t.logError("Synchrony hasn't acked any data, can't fetch draft data");return null};function f(){l.showEditor();x("off")}function J(M,O,L){var P=A.Deferred();if(M){t.bind(M,function N(R,Q){t.debug("confluence.editor.synchrony.event: "+R.type+"."+R.namespace);t.unbind(M,N);P.resolve(Q)})}if(O){setTimeout(P.reject,O,L||"timeout")}return P}function b(O,R,N,L,M){var Q=M||A.Deferred();if(d.isEditorInitialised()||(R&&d.synchronyReady())){return p(Q,N)}t.bind(O,function P(T,S){t.debug("confluence.editor.event "+T.type+"."+T.namespace);Q.always(function(){t.unbind(O,P)});p(Q,N,S,L)});return Q}function p(P,N,O,M){if(!d.synchronyReady()){return P.reject("synchrony-not-enabled")}if(!M||M()){var L=N?N(O):O;return L&&L.error?P.reject(L.error):P.resolve(L)}return P}function a(){A("#websocketRetry").on("click",function(){t.trigger("analyticsEvent",{name:"confluence.synchrony.editor.websocket.retry.click"});C.location.reload();return false});A("#websocketFindmore").on("click",function(){t.trigger("analyticsEvent",{name:"confluence.synchrony.editor.websocket.findmore.click"})})}d.timeEnd("confluence.editor.synchrony.jsLoad");return E});require("confluence/module-exporter").safeRequire("confluence-collaborative-editor-plugin/synchrony-editor",function(a){a.register();a.init()});